package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID                 = "uid"
	NAME                = "name"
	INFO                = "info"
	TYPE                = "type"
	TITLE               = "title"
	CONTENT             = "content"
	CREATED_AT          = "created_at"
	USER_UID            = "user_uid"
	USER_DASHBOARD_ROLE = "user_dashboard_role"
	DASHBOARD_UID       = "dashboard_uid"
	DASHBOARD_NAME      = "dashboard_name"
	DASHBOARD_TYPE      = "dashboard_type"
	SUMMARY_UID         = "summary_uid"
	COMPANY_UID         = "company_uid"
	CITY_UID            = "city_uid"
	HOST                = "host"
	PORT                = "port"
	USERNAME            = "username"
	PASSWORD            = "password"
	DATABASE            = "database"
	QUERY               = "query"
	VALUE               = "value"
	SCORE               = "score"
)

type UserDashboard struct {
	db.ModelUserPlace
	DashboardUID string `gorm:"type:char(32);index"`
}
type Dashboard struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
	Host       string `gorm:"type:varchar(32)"`
	Port       string `gorm:"type:varchar(8)"`
	Username   string `gorm:"type:varchar(32)"`
	Password   string `gorm:"type:varchar(32)"`
	Database   string `gorm:"type:varchar(32)"`
}
type Summary struct {
	db.ModelContent
	DashboardUID string  `gorm:"type:char(32);index"`
	Space        string  `gorm:"type:varchar(64)"`
	Index        string  `gorm:"type:varchar(128)"`
	Query        string  `gorm:"type:varchar(255)"`
	Field        string  `gorm:"type:varchar(255)"`
	Value        float32 `gorm:"default:0"`
	Score        float32 `gorm:"default:0"`
	Unit         string  `gorm:"type:varchar(16)"`
}

func init() { db.CmdModels("", &UserDashboard{}, &Dashboard{}, &Summary{}) }
